weka.core.pmml.jaxbbindings

## Class MapValues

- java.lang.Object
- - weka.core.pmml.jaxbbindings.MapValues

-     public class MapValues
      extends java.lang.Object

  Java class for MapValues element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="MapValues">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}FieldColumnPair" maxOccurs="unbounded"/>
                 <choice minOccurs="0">
                   <element ref="{http://www.dmg.org/PMML-4_1}TableLocator"/>
                   <element ref="{http://www.dmg.org/PMML-4_1}InlineTable"/>
                 </choice>
               </sequence>
               <attribute name="dataType" type="{http://www.dmg.org/PMML-4_1}DATATYPE" />
               <attribute name="defaultValue" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="mapMissingTo" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="outputColumn" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapValues()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DATATYPE` | `getDataType()` Gets the value of the dataType property.
    `java.lang.String` | `getDefaultValue()` Gets the value of the defaultValue property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.util.List<FieldColumnPair>` | `getFieldColumnPair()` Gets the value of the fieldColumnPair property.
    `InlineTable` | `getInlineTable()` Gets the value of the inlineTable property.
    `java.lang.String` | `getMapMissingTo()` Gets the value of the mapMissingTo property.
    `java.lang.String` | `getOutputColumn()` Gets the value of the outputColumn property.
    `TableLocator` | `getTableLocator()` Gets the value of the tableLocator property.
    `void` | `setDataType(DATATYPE value)` Sets the value of the dataType property.
    `void` | `setDefaultValue(java.lang.String value)` Sets the value of the defaultValue property.
    `void` | `setInlineTable(InlineTable value)` Sets the value of the inlineTable property.
    `void` | `setMapMissingTo(java.lang.String value)` Sets the value of the mapMissingTo property.
    `void` | `setOutputColumn(java.lang.String value)` Sets the value of the outputColumn property.
    `void` | `setTableLocator(TableLocator value)` Sets the value of the tableLocator property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapValues

          public MapValues()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getFieldColumnPair

          public java.util.List<FieldColumnPair> getFieldColumnPair()

      Gets the value of the fieldColumnPair property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fieldColumnPair property.

      For example, to add a new item, do as follows:

              getFieldColumnPair().add(newItem);

      Objects of the following type(s) are allowed in the list `FieldColumnPair`

    - #### getTableLocator

          public TableLocator getTableLocator()

      Gets the value of the tableLocator property.
      Returns:
        possible object is `TableLocator`

    - #### setTableLocator

          public void setTableLocator(TableLocator value)

      Sets the value of the tableLocator property.
      Parameters:
        `value` - allowed object is `TableLocator`

    - #### getInlineTable

          public InlineTable getInlineTable()

      Gets the value of the inlineTable property.
      Returns:
        possible object is `InlineTable`

    - #### setInlineTable

          public void setInlineTable(InlineTable value)

      Sets the value of the inlineTable property.
      Parameters:
        `value` - allowed object is `InlineTable`

    - #### getDataType

          public DATATYPE getDataType()

      Gets the value of the dataType property.
      Returns:
        possible object is `DATATYPE`

    - #### setDataType

          public void setDataType(DATATYPE value)

      Sets the value of the dataType property.
      Parameters:
        `value` - allowed object is `DATATYPE`

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Gets the value of the defaultValue property.
      Returns:
        possible object is `String`

    - #### setDefaultValue

          public void setDefaultValue(java.lang.String value)

      Sets the value of the defaultValue property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMapMissingTo

          public java.lang.String getMapMissingTo()

      Gets the value of the mapMissingTo property.
      Returns:
        possible object is `String`

    - #### setMapMissingTo

          public void setMapMissingTo(java.lang.String value)

      Sets the value of the mapMissingTo property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOutputColumn

          public java.lang.String getOutputColumn()

      Gets the value of the outputColumn property.
      Returns:
        possible object is `String`

    - #### setOutputColumn

          public void setOutputColumn(java.lang.String value)

      Sets the value of the outputColumn property.
      Parameters:
        `value` - allowed object is `String`